Subject: bug#11786: Use c_strcasecmp for portable ASCII case-insensitive comparison

From: Eli Zaretskii <[email-masked]>
Date: Tue, 26 Jun 2012 19:31:11 +0300

> From: Andreas Schwab <[email-masked]>
> Cc: Paul Eggert <[email-masked]>,  Dmitry Antipov <[email-masked]>,  [email-masked]
> Date: Tue, 26 Jun 2012 18:25:03 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Can tolower fail for these, somehow, in a locale that uses a multibyte
> > encoding for these strings, and if so, can you give a practical
> > example of such a failure?
> 
> tolower ('I') in a turkish locale.

OK, but that's not an issue with multibyte locales.

Anyway, I think having a custom replacement for tolower, perhaps using
the code of c_tolower from gnulib or its equivalent, will resolve
this.  Am I missing something?